<?xml version="1.0" encoding="utf-8"?>
<!-- Created by:  XBRL Wizard, EasyX -->
<!-- Document created: 10-04-2025 15:33:08 -->
<!-- Version:  -->
<link:linkbase xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://www.xbrl.org/2003/linkbase http://www.xbrl.org/2003/xbrl-linkbase-2003-12-31.xsd" xmlns:link="http://www.xbrl.org/2003/linkbase" xmlns:xlink="http://www.w3.org/1999/xlink" xmlns:xbrli="http://www.xbrl.org/2003/instance">
  <link:roleRef roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-320000" xlink:type="simple" xlink:href="Prevas-2024-12-31.xsd#Prevas_ias_1_role-320000" />
  <link:roleRef roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-410000" xlink:type="simple" xlink:href="Prevas-2024-12-31.xsd#Prevas_ias_1_role-410000" />
  <link:roleRef roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-210000" xlink:type="simple" xlink:href="Prevas-2024-12-31.xsd#Prevas_ias_1_role-210000" />
  <link:roleRef roleURI="https://www.esma.europa.eu/xbrl/role/all/ias_7_role-520000" xlink:type="simple" xlink:href="Prevas-2024-12-31.xsd#Prevas_ias_7_role-520000" />
  <link:calculationLink xlink:type="extended" xlink:role="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-320000">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:title="ifrs-full_ProfitLoss" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" xlink:title="ifrs-full_ProfitLossBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLoss" xlink:to="ifrs-full_ProfitLossBeforeTax" xlink:title="calculation: ifrs-full_ProfitLoss to labelifrs-full_ProfitLossBeforeTax" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossFromOperatingActivities" xlink:label="ifrs-full_ProfitLossFromOperatingActivities" xlink:title="ifrs-full_ProfitLossFromOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_ProfitLossFromOperatingActivities" xlink:title="calculation: ifrs-full_ProfitLossBeforeTax to labelifrs-full_ProfitLossFromOperatingActivities" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Revenue" xlink:label="ifrs-full_Revenue" xlink:title="ifrs-full_Revenue" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_Revenue" xlink:title="calculation: ifrs-full_ProfitLossFromOperatingActivities to labelifrs-full_Revenue" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherIncome" xlink:label="ifrs-full_OtherIncome" xlink:title="ifrs-full_OtherIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_OtherIncome" xlink:title="calculation: ifrs-full_ProfitLossFromOperatingActivities to labelifrs-full_OtherIncome" order="10.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OperatingExpense" xlink:label="ifrs-full_OperatingExpense" xlink:title="ifrs-full_OperatingExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossFromOperatingActivities" xlink:to="ifrs-full_OperatingExpense" xlink:title="calculation: ifrs-full_ProfitLossFromOperatingActivities to labelifrs-full_OperatingExpense" order="20.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherExpenseByNature" xlink:label="ifrs-full_OtherExpenseByNature" xlink:title="ifrs-full_OtherExpenseByNature" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_OperatingExpense" xlink:to="ifrs-full_OtherExpenseByNature" xlink:title="calculation: ifrs-full_OperatingExpense to labelifrs-full_OtherExpenseByNature" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EmployeeBenefitsExpense" xlink:label="ifrs-full_EmployeeBenefitsExpense" xlink:title="ifrs-full_EmployeeBenefitsExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_OperatingExpense" xlink:to="ifrs-full_EmployeeBenefitsExpense" xlink:title="calculation: ifrs-full_OperatingExpense to labelifrs-full_EmployeeBenefitsExpense" order="10.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AmortisationExpense" xlink:label="ifrs-full_AmortisationExpense" xlink:title="ifrs-full_AmortisationExpense" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_OperatingExpense" xlink:to="ifrs-full_AmortisationExpense" xlink:title="calculation: ifrs-full_OperatingExpense to labelifrs-full_AmortisationExpense" order="20.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="Prevas-2024-12-31.xsd#Prevas_DepreciationOfTangibleFixedAssets" xlink:label="Prevas_DepreciationOfTangibleFixedAssets" xlink:title="Prevas_DepreciationOfTangibleFixedAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_OperatingExpense" xlink:to="Prevas_DepreciationOfTangibleFixedAssets" xlink:title="calculation: ifrs-full_OperatingExpense to labelPrevas_DepreciationOfTangibleFixedAssets" order="30.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="Prevas-2024-12-31.xsd#Prevas_DepriciationOfRightOfUseAsset" xlink:label="Prevas_DepriciationOfRightOfUseAsset" xlink:title="Prevas_DepriciationOfRightOfUseAsset" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_OperatingExpense" xlink:to="Prevas_DepriciationOfRightOfUseAsset" xlink:title="calculation: ifrs-full_OperatingExpense to labelPrevas_DepriciationOfRightOfUseAsset" order="40.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncomeCost" xlink:label="ifrs-full_FinanceIncomeCost" xlink:title="ifrs-full_FinanceIncomeCost" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLossBeforeTax" xlink:to="ifrs-full_FinanceIncomeCost" xlink:title="calculation: ifrs-full_ProfitLossBeforeTax to labelifrs-full_FinanceIncomeCost" order="10.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceIncome" xlink:label="ifrs-full_FinanceIncome" xlink:title="ifrs-full_FinanceIncome" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_FinanceIncomeCost" xlink:to="ifrs-full_FinanceIncome" xlink:title="calculation: ifrs-full_FinanceIncomeCost to labelifrs-full_FinanceIncome" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_FinanceCosts" xlink:label="ifrs-full_FinanceCosts" xlink:title="ifrs-full_FinanceCosts" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_FinanceIncomeCost" xlink:to="ifrs-full_FinanceCosts" xlink:title="calculation: ifrs-full_FinanceIncomeCost to labelifrs-full_FinanceCosts" order="10.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:label="ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:title="ifrs-full_IncomeTaxExpenseContinuingOperations" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ProfitLoss" xlink:to="ifrs-full_IncomeTaxExpenseContinuingOperations" xlink:title="calculation: ifrs-full_ProfitLoss to labelifrs-full_IncomeTaxExpenseContinuingOperations" order="10.0" weight="-1.0" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-410000">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ComprehensiveIncome" xlink:label="ifrs-full_ComprehensiveIncome" xlink:title="ifrs-full_ComprehensiveIncome" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLoss" xlink:label="ifrs-full_ProfitLoss" xlink:title="ifrs-full_ProfitLoss" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_ProfitLoss" xlink:title="calculation: ifrs-full_ComprehensiveIncome to labelifrs-full_ProfitLoss" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:label="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:title="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_ComprehensiveIncome" xlink:to="ifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" xlink:title="calculation: ifrs-full_ComprehensiveIncome to labelifrs-full_OtherComprehensiveIncomeNetOfTaxExchangeDifferencesOnTranslation" order="10.0" weight="1.0" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.esma.europa.eu/xbrl/role/all/ias_1_role-210000">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Assets" xlink:label="ifrs-full_Assets" xlink:title="ifrs-full_Assets" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentAssets" xlink:label="ifrs-full_NoncurrentAssets" xlink:title="ifrs-full_NoncurrentAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_NoncurrentAssets" xlink:title="calculation: ifrs-full_Assets to labelifrs-full_NoncurrentAssets" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Goodwill" xlink:label="ifrs-full_Goodwill" xlink:title="ifrs-full_Goodwill" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_Goodwill" xlink:title="calculation: ifrs-full_NoncurrentAssets to labelifrs-full_Goodwill" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:label="ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:title="ifrs-full_IntangibleAssetsOtherThanGoodwill" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_IntangibleAssetsOtherThanGoodwill" xlink:title="calculation: ifrs-full_NoncurrentAssets to labelifrs-full_IntangibleAssetsOtherThanGoodwill" order="10.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PropertyPlantAndEquipment" xlink:label="ifrs-full_PropertyPlantAndEquipment" xlink:title="ifrs-full_PropertyPlantAndEquipment" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_PropertyPlantAndEquipment" xlink:title="calculation: ifrs-full_NoncurrentAssets to labelifrs-full_PropertyPlantAndEquipment" order="20.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RightofuseAssets" xlink:label="ifrs-full_RightofuseAssets" xlink:title="ifrs-full_RightofuseAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_RightofuseAssets" xlink:title="calculation: ifrs-full_NoncurrentAssets to labelifrs-full_RightofuseAssets" order="30.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentFinancialAssets" xlink:label="ifrs-full_NoncurrentFinancialAssets" xlink:title="ifrs-full_NoncurrentFinancialAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_NoncurrentFinancialAssets" xlink:title="calculation: ifrs-full_NoncurrentAssets to labelifrs-full_NoncurrentFinancialAssets" order="40.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxAssets" xlink:label="ifrs-full_DeferredTaxAssets" xlink:title="ifrs-full_DeferredTaxAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentAssets" xlink:to="ifrs-full_DeferredTaxAssets" xlink:title="calculation: ifrs-full_NoncurrentAssets to labelifrs-full_DeferredTaxAssets" order="50.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAssets" xlink:label="ifrs-full_CurrentAssets" xlink:title="ifrs-full_CurrentAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Assets" xlink:to="ifrs-full_CurrentAssets" xlink:title="calculation: ifrs-full_Assets to labelifrs-full_CurrentAssets" order="10.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Inventories" xlink:label="ifrs-full_Inventories" xlink:title="ifrs-full_Inventories" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_Inventories" xlink:title="calculation: ifrs-full_CurrentAssets to labelifrs-full_Inventories" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTradeReceivables" xlink:label="ifrs-full_CurrentTradeReceivables" xlink:title="ifrs-full_CurrentTradeReceivables" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_CurrentTradeReceivables" xlink:title="calculation: ifrs-full_CurrentAssets to labelifrs-full_CurrentTradeReceivables" order="10.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentTaxAssetsCurrent" xlink:label="ifrs-full_CurrentTaxAssetsCurrent" xlink:title="ifrs-full_CurrentTaxAssetsCurrent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_CurrentTaxAssetsCurrent" xlink:title="calculation: ifrs-full_CurrentAssets to labelifrs-full_CurrentTaxAssetsCurrent" order="20.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentReceivables" xlink:label="ifrs-full_OtherCurrentReceivables" xlink:title="ifrs-full_OtherCurrentReceivables" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_OtherCurrentReceivables" xlink:title="calculation: ifrs-full_CurrentAssets to labelifrs-full_OtherCurrentReceivables" order="30.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentContractAssets" xlink:label="ifrs-full_CurrentContractAssets" xlink:title="ifrs-full_CurrentContractAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_CurrentContractAssets" xlink:title="calculation: ifrs-full_CurrentAssets to labelifrs-full_CurrentContractAssets" order="40.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets" xlink:label="ifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets" xlink:title="ifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets" xlink:title="calculation: ifrs-full_CurrentAssets to labelifrs-full_CurrentPrepaymentsAndCurrentAccruedIncomeOtherThanCurrentContractAssets" order="50.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashAndCashEquivalents" xlink:label="ifrs-full_CashAndCashEquivalents" xlink:title="ifrs-full_CashAndCashEquivalents" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CurrentAssets" xlink:to="ifrs-full_CashAndCashEquivalents" xlink:title="calculation: ifrs-full_CurrentAssets to labelifrs-full_CashAndCashEquivalents" order="60.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAndLiabilities" xlink:label="ifrs-full_EquityAndLiabilities" xlink:title="ifrs-full_EquityAndLiabilities" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_Equity" xlink:label="ifrs-full_Equity" xlink:title="ifrs-full_Equity" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="ifrs-full_Equity" xlink:title="calculation: ifrs-full_EquityAndLiabilities to labelifrs-full_Equity" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_EquityAttributableToOwnersOfParent" xlink:label="ifrs-full_EquityAttributableToOwnersOfParent" xlink:title="ifrs-full_EquityAttributableToOwnersOfParent" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_EquityAttributableToOwnersOfParent" xlink:title="calculation: ifrs-full_Equity to labelifrs-full_EquityAttributableToOwnersOfParent" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IssuedCapital" xlink:label="ifrs-full_IssuedCapital" xlink:title="ifrs-full_IssuedCapital" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_IssuedCapital" xlink:title="calculation: ifrs-full_EquityAttributableToOwnersOfParent to labelifrs-full_IssuedCapital" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_SharePremium" xlink:label="ifrs-full_SharePremium" xlink:title="ifrs-full_SharePremium" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_SharePremium" xlink:title="calculation: ifrs-full_EquityAttributableToOwnersOfParent to labelifrs-full_SharePremium" order="10.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:label="ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:title="ifrs-full_ReserveOfExchangeDifferencesOnTranslation" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_ReserveOfExchangeDifferencesOnTranslation" xlink:title="calculation: ifrs-full_EquityAttributableToOwnersOfParent to labelifrs-full_ReserveOfExchangeDifferencesOnTranslation" order="20.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RetainedEarnings" xlink:label="ifrs-full_RetainedEarnings" xlink:title="ifrs-full_RetainedEarnings" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_EquityAttributableToOwnersOfParent" xlink:to="ifrs-full_RetainedEarnings" xlink:title="calculation: ifrs-full_EquityAttributableToOwnersOfParent to labelifrs-full_RetainedEarnings" order="30.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncontrollingInterests" xlink:label="ifrs-full_NoncontrollingInterests" xlink:title="ifrs-full_NoncontrollingInterests" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_Equity" xlink:to="ifrs-full_NoncontrollingInterests" xlink:title="calculation: ifrs-full_Equity to labelifrs-full_NoncontrollingInterests" order="10.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_NoncurrentLiabilities" xlink:label="ifrs-full_NoncurrentLiabilities" xlink:title="ifrs-full_NoncurrentLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="ifrs-full_NoncurrentLiabilities" xlink:title="calculation: ifrs-full_EquityAndLiabilities to labelifrs-full_NoncurrentLiabilities" order="10.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherNoncurrentFinancialLiabilities" xlink:label="ifrs-full_OtherNoncurrentFinancialLiabilities" xlink:title="ifrs-full_OtherNoncurrentFinancialLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_OtherNoncurrentFinancialLiabilities" xlink:title="calculation: ifrs-full_NoncurrentLiabilities to labelifrs-full_OtherNoncurrentFinancialLiabilities" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="Prevas-2024-12-31.xsd#Prevas_LongTermInterestBearingLiabilities" xlink:label="Prevas_LongTermInterestBearingLiabilities" xlink:title="Prevas_LongTermInterestBearingLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="Prevas_LongTermInterestBearingLiabilities" xlink:title="calculation: ifrs-full_NoncurrentLiabilities to labelPrevas_LongTermInterestBearingLiabilities" order="10.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_LongtermMiscellaneousOtherProvisions" xlink:label="ifrs-full_LongtermMiscellaneousOtherProvisions" xlink:title="ifrs-full_LongtermMiscellaneousOtherProvisions" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_LongtermMiscellaneousOtherProvisions" xlink:title="calculation: ifrs-full_NoncurrentLiabilities to labelifrs-full_LongtermMiscellaneousOtherProvisions" order="20.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DeferredTaxLiabilities" xlink:label="ifrs-full_DeferredTaxLiabilities" xlink:title="ifrs-full_DeferredTaxLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_NoncurrentLiabilities" xlink:to="ifrs-full_DeferredTaxLiabilities" xlink:title="calculation: ifrs-full_NoncurrentLiabilities to labelifrs-full_DeferredTaxLiabilities" order="30.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentLiabilities" xlink:label="ifrs-full_CurrentLiabilities" xlink:title="ifrs-full_CurrentLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_EquityAndLiabilities" xlink:to="ifrs-full_CurrentLiabilities" xlink:title="calculation: ifrs-full_EquityAndLiabilities to labelifrs-full_CurrentLiabilities" order="20.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="Prevas-2024-12-31.xsd#Prevas_ShortTermInterestBearingLiabilities" xlink:label="Prevas_ShortTermInterestBearingLiabilities" xlink:title="Prevas_ShortTermInterestBearingLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="Prevas_ShortTermInterestBearingLiabilities" xlink:title="calculation: ifrs-full_CurrentLiabilities to labelPrevas_ShortTermInterestBearingLiabilities" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:label="ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:title="ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" xlink:title="calculation: ifrs-full_CurrentLiabilities to labelifrs-full_TradeAndOtherCurrentPayablesToTradeSuppliers" order="10.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherCurrentPayables" xlink:label="ifrs-full_OtherCurrentPayables" xlink:title="ifrs-full_OtherCurrentPayables" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_OtherCurrentPayables" xlink:title="calculation: ifrs-full_CurrentLiabilities to labelifrs-full_OtherCurrentPayables" order="20.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentContractLiabilitiesForPerformanceObligationsSatisfiedOverTime" xlink:label="ifrs-full_CurrentContractLiabilitiesForPerformanceObligationsSatisfiedOverTime" xlink:title="ifrs-full_CurrentContractLiabilitiesForPerformanceObligationsSatisfiedOverTime" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_CurrentContractLiabilitiesForPerformanceObligationsSatisfiedOverTime" xlink:title="calculation: ifrs-full_CurrentLiabilities to labelifrs-full_CurrentContractLiabilitiesForPerformanceObligationsSatisfiedOverTime" order="30.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities" xlink:label="ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities" xlink:title="ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CurrentLiabilities" xlink:to="ifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities" xlink:title="calculation: ifrs-full_CurrentLiabilities to labelifrs-full_CurrentAccruedExpensesAndOtherCurrentLiabilities" order="40.0" weight="1.0" />
  </link:calculationLink>
  <link:calculationLink xlink:type="extended" xlink:role="https://www.esma.europa.eu/xbrl/role/all/ias_7_role-520000">
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:label="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:title="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:title="calculation: ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges to labelifrs-full_CashFlowsFromUsedInOperatingActivities" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:label="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:title="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInOperatingActivities to labelifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProfitLossBeforeTax" xlink:label="ifrs-full_ProfitLossBeforeTax" xlink:title="ifrs-full_ProfitLossBeforeTax" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_ProfitLossBeforeTax" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to labelifrs-full_ProfitLossBeforeTax" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_OtherAdjustmentsForNoncashItems" xlink:label="ifrs-full_OtherAdjustmentsForNoncashItems" xlink:title="ifrs-full_OtherAdjustmentsForNoncashItems" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_OtherAdjustmentsForNoncashItems" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to labelifrs-full_OtherAdjustmentsForNoncashItems" order="10.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:label="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:title="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital" xlink:to="ifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInOperationsBeforeChangesInWorkingCapital to labelifrs-full_IncomeTaxesPaidRefundClassifiedAsOperatingActivities" order="20.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:title="ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInInventories" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInOperatingActivities to labelifrs-full_AdjustmentsForDecreaseIncreaseInInventories" order="10.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:label="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:title="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInOperatingActivities to labelifrs-full_AdjustmentsForDecreaseIncreaseInTradeAndOtherReceivables" order="20.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:label="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:title="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInOperatingActivities" xlink:to="ifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInOperatingActivities to labelifrs-full_AdjustmentsForIncreaseDecreaseInTradeAndOtherPayables" order="30.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:title="calculation: ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges to labelifrs-full_CashFlowsFromUsedInInvestingActivities" order="10.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:label="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:title="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInInvestingActivities to labelifrs-full_CashFlowsUsedInObtainingControlOfSubsidiariesOrOtherBusinessesClassifiedAsInvestingActivities" order="0.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInInvestingActivities to labelifrs-full_PurchaseOfIntangibleAssetsClassifiedAsInvestingActivities" order="10.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:label="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:title="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInInvestingActivities" xlink:to="ifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInInvestingActivities to labelifrs-full_PurchaseOfPropertyPlantAndEquipmentClassifiedAsInvestingActivities" order="20.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:label="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:title="ifrs-full_CashFlowsFromUsedInFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges" xlink:to="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:title="calculation: ifrs-full_IncreaseDecreaseInCashAndCashEquivalentsBeforeEffectOfExchangeRateChanges to labelifrs-full_CashFlowsFromUsedInFinancingActivities" order="20.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromNoncurrentBorrowings" xlink:label="ifrs-full_ProceedsFromNoncurrentBorrowings" xlink:title="ifrs-full_ProceedsFromNoncurrentBorrowings" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_ProceedsFromNoncurrentBorrowings" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInFinancingActivities to labelifrs-full_ProceedsFromNoncurrentBorrowings" order="0.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_RepaymentsOfNoncurrentBorrowings" xlink:label="ifrs-full_RepaymentsOfNoncurrentBorrowings" xlink:title="ifrs-full_RepaymentsOfNoncurrentBorrowings" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_RepaymentsOfNoncurrentBorrowings" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInFinancingActivities to labelifrs-full_RepaymentsOfNoncurrentBorrowings" order="10.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:label="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:title="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInFinancingActivities to labelifrs-full_PaymentsOfLeaseLiabilitiesClassifiedAsFinancingActivities" order="20.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" xlink:label="ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" xlink:title="ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInFinancingActivities to labelifrs-full_DividendsPaidToEquityHoldersOfParentClassifiedAsFinancingActivities" order="30.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="Prevas-2024-12-31.xsd#Prevas_ProceedsFromDisposalOfFinancialAssets" xlink:label="Prevas_ProceedsFromDisposalOfFinancialAssets" xlink:title="Prevas_ProceedsFromDisposalOfFinancialAssets" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="Prevas_ProceedsFromDisposalOfFinancialAssets" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInFinancingActivities to labelPrevas_ProceedsFromDisposalOfFinancialAssets" order="40.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="Prevas-2024-12-31.xsd#Prevas_RepaymentOfShareholderContributionsForNonControllingInterests" xlink:label="Prevas_RepaymentOfShareholderContributionsForNonControllingInterests" xlink:title="Prevas_RepaymentOfShareholderContributionsForNonControllingInterests" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="Prevas_RepaymentOfShareholderContributionsForNonControllingInterests" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInFinancingActivities to labelPrevas_RepaymentOfShareholderContributionsForNonControllingInterests" order="50.0" weight="-1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_ProceedsFromExerciseOfWarrants" xlink:label="ifrs-full_ProceedsFromExerciseOfWarrants" xlink:title="ifrs-full_ProceedsFromExerciseOfWarrants" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_ProceedsFromExerciseOfWarrants" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInFinancingActivities to labelifrs-full_ProceedsFromExerciseOfWarrants" order="60.0" weight="1.0" />
    <link:loc xlink:type="locator" xlink:href="https://xbrl.ifrs.org/taxonomy/2022-03-24/full_ifrs/full_ifrs-cor_2022-03-24.xsd#ifrs-full_PaymentsFromChangesInOwnershipInterestsInSubsidiaries" xlink:label="ifrs-full_PaymentsFromChangesInOwnershipInterestsInSubsidiaries" xlink:title="ifrs-full_PaymentsFromChangesInOwnershipInterestsInSubsidiaries" />
    <link:calculationArc xlink:type="arc" xlink:arcrole="http://www.xbrl.org/2003/arcrole/summation-item" xlink:from="ifrs-full_CashFlowsFromUsedInFinancingActivities" xlink:to="ifrs-full_PaymentsFromChangesInOwnershipInterestsInSubsidiaries" xlink:title="calculation: ifrs-full_CashFlowsFromUsedInFinancingActivities to labelifrs-full_PaymentsFromChangesInOwnershipInterestsInSubsidiaries" order="70.0" weight="-1.0" />
  </link:calculationLink>
</link:linkbase>